-- ConstantineUA
-- Author: Stephen
-- DateCreated: 3/4/2014 2:48:56 PM
--------------------------------------------------------------

function ReplaceRomanMissionary(iPlayer, iUnitID, iX, iY)
	local pPlayer = Players[iPlayer];
	if pPlayer:GetCivilizationType() == GameInfo.Civilizations.CIVILIZATION_ROME2.ID then
		local pUnit = pPlayer:GetUnitByID(iUnitID);

		if (pUnit == nil or pUnit:IsDelayedDeath()) then
			return false;
		end

		if pUnit:GetUnitType() == GameInfoTypes["UNIT_MISSIONARY"] then 
			newUnit = pPlayer:InitUnit(GameInfoTypes["UNIT_MISSIONARY_CONSTANTINE"], iX, iY);
			newUnit:FinishMoves();
			pUnit:Kill(true, -1);
		end
	end
end

GameEvents.UnitSetXY.Add(ReplaceRomanMissionary);